Subject: Re: bug#23096: 25.0.92; Pinentry fails to tidy up its buffer

From: Stefan Kangas <[email-masked]>
Date: Sun, 29 Sep 2019 07:47:56 +0200

[email-masked] (N. Jackson) writes:

> After the user is prompted for a password, the *Pinentry* buffer
> containing the password prompt is buried rather than closed.
>
> This clutters up the buffer list for the remainder of the session, and
> it is confusing, when switching buffers possibly days later, to suddenly
> see the old password prompt.
>
> It would be much better, I think, if the *Pinentry* buffer was killed
> rather buried after password entry.

pinentry.el has been removed from Emacs since version 26.1:

commit 8a73b7003e5db5a57550270602841d9ee2194cf5
Author: Daiki Ueno <[email-masked]>
Date:   Fri Nov 24 16:11:48 2017 +0100

    Remove pinentry.el

    * lisp/epg.el (epg--start): Remove the use of pinentry.el.
    * lisp/net/pinentry.el: Remove (bug#27445).

I therefore don't think this feature request is applicable any longer, and I'm
closing the report.

Best regards,
Stefan Kangas